<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: node Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">node Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="list_8h_source.html">list.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for node:</div>
<div class="dyncontent">
<div class="center"><img src="structnode__coll__graph.png" border="0" usemap="#node_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a53c05cf6ff3b6a74f88b78b8b7c5a49a"><td class="memItemLeft" >union {</td></tr>
<tr class="memitem:a0e973e39fc867edc901786966850f5ca"><td class="memItemLeft" >&#160;&#160;&#160;struct <a class="el" href="structnode.html">node</a> *&#160;&#160;&#160;<a class="el" href="structnode.html#a0e973e39fc867edc901786966850f5ca">data_ptr</a></td></tr>
<tr class="separator:a0e973e39fc867edc901786966850f5ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a254df6efdfe9fb1cff5857ac6e50eeff"><td class="memItemLeft" >&#160;&#160;&#160;<a class="el" href="list_8h.html#aa606355c30aa4b5f0ad83d25ed069b25">LIST_TYPE</a>&#160;&#160;&#160;<a class="el" href="structnode.html#a254df6efdfe9fb1cff5857ac6e50eeff">data</a></td></tr>
<tr class="separator:a254df6efdfe9fb1cff5857ac6e50eeff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53c05cf6ff3b6a74f88b78b8b7c5a49a"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a53c05cf6ff3b6a74f88b78b8b7c5a49a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc1b6470487aa86d9936e3cab8b95be"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structnode.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnode.html#a0dc1b6470487aa86d9936e3cab8b95be">next</a></td></tr>
<tr class="separator:a0dc1b6470487aa86d9936e3cab8b95be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a53c05cf6ff3b6a74f88b78b8b7c5a49a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53c05cf6ff3b6a74f88b78b8b7c5a49a">&#9670;&nbsp;</a></span>@1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a254df6efdfe9fb1cff5857ac6e50eeff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a254df6efdfe9fb1cff5857ac6e50eeff">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#aa606355c30aa4b5f0ad83d25ed069b25">LIST_TYPE</a> data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e973e39fc867edc901786966850f5ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e973e39fc867edc901786966850f5ca">&#9670;&nbsp;</a></span>data_ptr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structnode.html">node</a>* data_ptr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0dc1b6470487aa86d9936e3cab8b95be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dc1b6470487aa86d9936e3cab8b95be">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structnode.html">node</a>* next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>list/<a class="el" href="list_8h_source.html">list.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
